<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$codigo_venta = DataForms::GET('id');
$cod_cliente = DataForms::GET('cod_cliente');

$title = 'LISTA DE EMPAQUE';
echo "<title>".AppName.' - '.$title."</title>";
/*
$Ubicacion = new DB();
$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones ubi, rol_usuarios us
WHERE ubi.ubica_codigo = us.ubica_codigo
AND us.us_id='$USID';";
$Ubicacion->dbSQL($sqlUbicacion);
if($Ubicacion->next())
	$ubica_nombre = $Ubicacion->dbField('ubica_nombre');
else
	$ubica_nombre = 'Central';
*/
$Cliente	= new DB();
$sqlCliente = "SELECT * FROM inventarios_clientes
WHERE clie_codigo = '$cod_cliente';";
$Cliente->dbSQL($sqlCliente);
$Cliente->next();
	$clie_id = $Cliente->dbField('clie_id');
	$clie_codigo = $Cliente->dbField('clie_codigo');
	$clie_cinit = $Cliente->dbField('clie_cinit');
	$clie_nombres = $Cliente->dbField('clie_nombres');
	$clie_apellidos = $Cliente->dbField('clie_apellidos');
	$clie_destino = $Cliente->dbField('clie_destino');
	$clie_celular = $Cliente->dbField('clie_celular');
	$clie_puntolista = $Cliente->dbField('clie_puntolista');
	$clie_puntoentrega = $Cliente->dbField('clie_puntoentrega');
	$clie_personarecoge = $Cliente->dbField('clie_personarecoge');
	$clie_tipopagonombre = $Cliente->dbField('clie_tipopagonombre');
	$clie_descuento = $Cliente->dbField('clie_descuento');
	$NumDescuento2 = $clie_descuento;
?>
<style>
th{background:green;
color:white;
text-align:center;
font-size:22px;
text-transform:uppercase;}	
.tam{
	font-size:20px;
}
</style>
</head>
<body>
	
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title tam" style="font-size:25px;" align=center><b>PROFORMA DE VENTA</b></div>
								</div>
								<div class="card-body">
									<div class="row" style="font-size:22px;">										
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<b>Cliente:</b> <?php echo $clie_nombres.' '.$clie_apellidos ?><br>
												<b>CI/NIT: </b> <?php echo $clie_cinit ?>											
											</div>																																
										</div>									
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<b>Tipo de Pago: </b>  <?php echo $clie_tipopagonombre ?><br>
											</div>																																
										</div>		
									</div>
									<div class="col-md-12 col-lg-12">
									<table class="display table table-striped table-hover">
											<thead>
												<tr>													
													<th>item</th>
													<th>descripción</th>
													<th>cajas</th>
													<th>unidades</th>													
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
											WHERE prod.ubica_codigo = ubi.ubica_codigo
											AND ven.ubica_codigo = ubi.ubica_codigo
											AND ven.prod_codigo = prod.prod_codigo
											AND ven.ven_codigo = '$codigo_venta';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;												
												$ubica_nombre = $db->dbField('ubica_nombre');													
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$ven_numerolista = $db->dbField('ven_numerolista');
												
												$ven_tipo = $db->dbField('ven_tipo');
												$ven_id = $db->dbField('ven_id');
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');

												  switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'unidades';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = 12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
												  }
											

												$total = $total + $ven_precio;
												$html.='<tr>';
													$html.='<td>'.$prod_item.'</td>';
													$html.='<td>'.$prod_nombre.'</td>';
													$html.='<td align=center>'.$ven_cantidad.'</td>';
													$html.='<td align=center>'.($cantidades).'</td>';
													$html.='<td align=right>$u$:'.$precios.'<br>
													Bs.:'.$precios*Dollar().'</td>';
													$html.='<td align=right>$u$:'.number_format(($precios)*($cantidades),2).'<br>
													Bs.:'.number_format((($precios)*($cantidades)*Dollar()),2).'</td>';	
													$html.='</tr>';											
												
											}//wend() 
											$clie_descuento;
											$descuentos = $total * $clie_descuento;
											$total22 = $total - $descuentos;

											//$html.= '<tr><td style="font-size:26px;" colspan=7 align=right><b>TOTAL: Bs. '.number_format(($total22),2).'</b></td></tr>';
											$NumDescuento = $total*($NumDescuento2/100);
											
											$total6 = $total-$NumDescuento;
											$total7 = number_format(($total6),2);
											$html2='';
											$html2.= '<tr><td colspan=7 align=right><h3>Total Parcial: $u$.'.number_format(($total/Dollar()),2).'</h3>
											<h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
											$html2.= '<tr><td colspan=7 align=right><h3>Descuento: $u$:<span id="txtDesc">'.$NumDescuento/Dollar().'</span></h3>
											<h3>Descuento: Bs. <span id="txtDesc">'.$NumDescuento.'</span></h3></td></tr>';
											$html2.= '<tr><td colspan=7 align=right><h3><b>Subtotal menos Descuento: $u$:<span id="txtTOTAL">'.number_format(($total6/Dollar()),2).'</span></b></h3>
											<h3><b>Subtotal menos Descuento: Bs. <span id="txtTOTAL">'.$total7.'</span></b></h3></td></tr>';
											echo $html;
											echo $html2;
											//echo utf8_encode($html);
											?>													
											</tbody>
										</table>	
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<!--button id='bntImprimir' class="btn btn-info" type='button'><b> IMPRIMIR </b></button-->									
									<a href="<?php echo PATH_HOME.'ventasgrales/nuevo'; ?>" class="btn bg-dark" style="color:white;">
									<b>VOLVER A VENTAS GENERALES</b></a>
									<!--a href="<?php echo PATH_HOME.'ventasgrales-verventa.php?id='.$codigo_venta.'&cod_cliente='.$cod_cliente.'&contador_ventas='.$ven_numerolista; ?>" class="btn bg-warning" style="color:black;" target="_blank"-->
									<div id="bntImprimir" class="btn bg-warning" style="color:black;" target="_blank">
									
									<b>IMPRIMIR</b></div>
													
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		
</body>
</html>
<script>
$('#bntImprimir').click(function(){
	/*$(this).hide();
	window.print();
	self.location='<?php echo PATH_HOME."ventasgrales/vender";?>';
	*/           
	window.open('<?php echo PATH_HOME."ventasgrales-verventa.php?id=".$codigo_venta.'&cod_cliente='.$cod_cliente.'&contador_ventas='.$ven_numerolista; ?>','Imprimir Venta App','width=700,height=500');
	self.location='<?php echo PATH_HOME."ventasgrales/vender";?>';
	
});
</script>